summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJim Meyering <meyering@fb.com>2019-12-26 18:12:09 -0800
committerJim Meyering <meyering@fb.com>2019-12-26 19:09:32 -0800
commit3f11cfb64261d7f38bf3aff57db93dd4c6e901e0 (patch)
treeb6335826689c5343c32837be66ad70af50051533
parent8b4600ae3bd95643ab3b288e065a330578dc33ac (diff)
downloadgrep-3f11cfb64261d7f38bf3aff57db93dd4c6e901e0.tar.gz
build: update gnulib to latest; and sync tests/init.sh
* gnulib: update * tests/init.sh: Sync from gnulib (this removes the LC_ALL=C setting).
m---------gnulib0
-rw-r--r--tests/init.sh10
2 files changed, 8 insertions, 2 deletions
diff --git a/gnulib b/gnulib
-Subproject 6bc5c0e01ba63d0fd8557d26fb468a2e61f129d
+Subproject 575b0ecbad2f34d5777f9562eebc2d0c815bfc5
diff --git a/tests/init.sh b/tests/init.sh
index a0ee8a9b..d2c4a790 100644
--- a/tests/init.sh
+++ b/tests/init.sh
@@ -129,6 +129,8 @@ else
fi
# We require $(...) support unconditionally.
+# We require that the printf built-in work correctly regarding octal escapes;
+# this eliminates /bin/sh on AIX 7.2.
# We require non-surprising "local" semantics (this eliminates dash).
# This takes the admittedly draconian step of eliminating dash, because the
# assignment tab=$(printf '\t') works fine, yet preceding it with "local "
@@ -158,6 +160,12 @@ fi
# ? - not ok
gl_shell_test_script_='
test $(echo y) = y || exit 1
+LC_ALL=en_US.UTF-8 printf "\\351" 2>/dev/null \
+ | LC_ALL=C tr "\\351" x | LC_ALL=C grep "^x$" > /dev/null \
+ || exit 1
+printf "\\351" 2>/dev/null \
+ | LC_ALL=C tr "\\351" x | LC_ALL=C grep "^x$" > /dev/null \
+ || exit 1
f_local_() { local v=1; }; f_local_ || exit 1
f_dash_local_fail_() { local t=$(printf " 1"); }; f_dash_local_fail_
score_=10
@@ -378,8 +386,6 @@ testdir_prefix_ () { printf gt; }
# Set up the environment for the test to run in.
setup_ ()
{
- export LC_ALL=C
-
if test "$VERBOSE" = yes; then
# Test whether set -x may cause the selected shell to corrupt an
# application's stderr. Many do, including zsh-4.3.10 and the /bin/sh